<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::avs::initialization::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">avs</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization.html">initialization</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::avs::initialization::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7e926ee4b7797aaf15866fbd3536d5e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#a7e926ee4b7797aaf15866fbd3536d5e5">TEST</a> (AlexaClientSDKInitTest, test_initializeNoJSONConfig)</td></tr>
<tr class="separator:a7e926ee4b7797aaf15866fbd3536d5e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2edd61b12be42adf9800bcebd31c9b65"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#a2edd61b12be42adf9800bcebd31c9b65">TEST</a> (AlexaClientSDKInitTest, test_initializeInvalidJSONConfig)</td></tr>
<tr class="separator:a2edd61b12be42adf9800bcebd31c9b65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28b824705d35dc60b20f1a0e783fe671"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#a28b824705d35dc60b20f1a0e783fe671">TEST</a> (AlexaClientSDKInitTest, test_initializeValidJSONConfig)</td></tr>
<tr class="separator:a28b824705d35dc60b20f1a0e783fe671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c3572eba9ab115e77e682b2643d440"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#a57c3572eba9ab115e77e682b2643d440">TEST</a> (AlexaClientSDKInitTest, test_uninitializedIsInitialized)</td></tr>
<tr class="separator:a57c3572eba9ab115e77e682b2643d440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea3664688e60eb85559e429b864958b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#aea3664688e60eb85559e429b864958b9">TEST</a> (AlexaClientSDKInitTest, test_isInitialized)</td></tr>
<tr class="separator:aea3664688e60eb85559e429b864958b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38cc97d0cc1585e62d20882236cfde2b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1test.html#a38cc97d0cc1585e62d20882236cfde2b">TEST</a> (AlexaClientSDKInitTest, test_uninitialize)</td></tr>
<tr class="separator:a38cc97d0cc1585e62d20882236cfde2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7e926ee4b7797aaf15866fbd3536d5e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e926ee4b7797aaf15866fbd3536d5e5">&#9670;&nbsp;</a></span>TEST() <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_initializeNoJSONConfig&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>initialize</code> without any JSON configuration, expecting it to return <code>true</code>.</p>
<dl class="section note"><dt>Note</dt><dd>This test also validates whether libcurl supports HTTP2. </dd></dl>

</div>
</div>
<a id="a2edd61b12be42adf9800bcebd31c9b65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2edd61b12be42adf9800bcebd31c9b65">&#9670;&nbsp;</a></span>TEST() <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_initializeInvalidJSONConfig&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>initialize</code> with an invalid JSON configuration, expecting it to return <code>false</code>.</p>
<dl class="section note"><dt>Note</dt><dd>This test also validates whether libcurl supports HTTP2. </dd></dl>

</div>
</div>
<a id="a28b824705d35dc60b20f1a0e783fe671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28b824705d35dc60b20f1a0e783fe671">&#9670;&nbsp;</a></span>TEST() <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_initializeValidJSONConfig&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>initialize</code> with a valid JSON configuration, expecting it to return <code>true</code>.</p>
<dl class="section note"><dt>Note</dt><dd>This test also validates whether libcurl supports HTTP2. </dd></dl>

</div>
</div>
<a id="a57c3572eba9ab115e77e682b2643d440"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57c3572eba9ab115e77e682b2643d440">&#9670;&nbsp;</a></span>TEST() <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_uninitializedIsInitialized&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>isInitialized</code> when the SDK has not been initialized yet, expecting it to return <code>false</code>. </p>

</div>
</div>
<a id="aea3664688e60eb85559e429b864958b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea3664688e60eb85559e429b864958b9">&#9670;&nbsp;</a></span>TEST() <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_isInitialized&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>isInitialized</code> when the SDK is initialized, expecting it to return <code>true</code>. </p>

</div>
</div>
<a id="a38cc97d0cc1585e62d20882236cfde2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38cc97d0cc1585e62d20882236cfde2b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::initialization::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AlexaClientSDKInitTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_uninitialize&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests <code>uninitialize</code> when the SDK has not been initialized yet, expecting no crashes or exceptions. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
